/*!****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[2]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[4].oneOf[1].use[3]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[4]!./assets/styles/datatable.scss ***!
  \****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
@charset "UTF-8";
/* Personnaliser la police des 2 premières colonnes */
table.dataTable thead tr > .dtfc-fixed-start, table.dataTable td:nth-child(-n+3), .dtfc-top-blocker, .dtfc-scrolling-end, .dt-scroll-headInner, .dt-scroll-head {
  background-color: #00003F !important;
}

.dt-scroll > div:nth-of-type(3) {
  background-color: #00003F !important;
}

.dataTable {
  border-collapse: separate !important;
}

table.dataTable tr {
  cursor: pointer;
}

/* Surligner la ligne survolée */
table.dataTable tbody tr:hover {
  background-color: #000060 !important; /* Un bleu un peu plus clair */
  transition: background-color 0.2s ease;
}

/* ENLÈVE LES ZÉBRURES */
table.dataTable tbody tr:nth-child(odd),
table.dataTable tbody tr:nth-child(even) {
  background-color: #00003F !important;
}

/* ENLÈVE LES BORDURES */
table.dataTable th,
table.dataTable td {
  border: none !important;
}

.dt-container.dt-empty-footer table.dataTable {
  border-bottom: none !important;
}

table.dataTable thead tr > .dtfc-fixed-start, table.dataTable thead tr > .dtfc-fixed-end, table.dataTable tfoot tr > .dtfc-fixed-start, table.dataTable tfoot tr > .dtfc-fixed-end {
  background-color: #00003F !important;
}

/* SI FIXEDCOLUMNS AJOUTE DES STYLES SUR LES CLONES */
table.dataTable tbody tr > .dtfc-fixed-start {
  border-right: 1px solid #0000B7 !important;
}

div.DTFC_LeftWrapper td.dtfc-fixed-start,
div.DTFC_LeftWrapper th.dtfc-fixed-start {
  border-right: 1px solid #0000B7 !important;
}

.dtfc-fixed-start,
.dtfc-fixed-end {
  background-color: #00003F;
}

/* Ajoute une bordure à droite entre les colonnes du tbody, sauf première et dernière */
table.dataTable tbody td {
  border-right: 1px solid #0000B7 !important;
}

/* Supprime la bordure à droite sur la première et la dernière colonne */
table.dataTable tbody tr td:first-child,
table.dataTable tbody tr td:last-child {
  border-right: none !important;
}

table.dataTable > tbody > tr.selected > * {
  box-shadow: none;
  color: #E9B879;
  font-weight: bold;
}

.svg-eye {
  fill: #E9B879;
}

.selected .svg-eye {
  fill: #E9B879;
}

.progress-b-note {
  background: linear-gradient(to right, #00003F, white);
}

.text-gray-500 .progress-b-note {
  background: linear-gradient(to right, #00003F, rgb(107, 114, 128));
}

.selected .progress-b-note {
  background: linear-gradient(to right, #00003F, #E9B879);
}

thead select {
  width: auto;
  display: inline-block;
  white-space: nowrap;
}

table.dataTable th {
  white-space: nowrap;
}

.dt-column-order {
  display: none;
}

thead > tr > th.dt-orderable-asc, table.dataTable thead > tr > th.dt-orderable-desc, table.dataTable thead > tr > th.dt-ordering-asc {
  padding-right: unset;
}

.dt-orderable-desc {
  padding: 10px !important;
}

.dt-orderable-asc {
  padding: 10px !important;
}

table.dataTable > tbody > tr > td {
  padding: 2px 10px;
}

table.dataTable > tbody > tr > td:first-child {
  padding: 0 !important;
  text-align: center;
}

th .dt-legend {
  position: absolute;
  top: -4rem;
  left: 50%;
  transform: translateX(-50%);
  color: #E9B879;
  white-space: nowrap;
  pointer-events: none;
}

.dt-scroll-head {
  padding-top: 1.5rem;
}

.dt-block-hide {
  position: absolute;
  top: -4rem;
  left: 25%;
  transform: translateX(-50%);
  pointer-events: none;
}

.dtfc-fixed-left,
.dtfc-fixed-right {
  background-color: #00003F !important;
  opacity: 1 !important;
  z-index: 10;
}

table.dataTable thead tr > .dtfc-fixed-left {
  background-color: #00003F !important;
  z-index: 15;
}

.dtfc-fixed-left {
  transform: translateZ(0);
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/